(document:surround "/std/frame")
(document:insert "/std/functions")
(document:envelop with-translation _ "alterator-standalone")

(define (name+caption item)
  (let ((name (woo-get-option item 'name)))
    (cons name
          (woo-get-option item 'acc-caption name))))

(define profiles
  (map name+caption
       (woo-catch
        (lambda() (woo-list "/profile"))
        (lambda(reason) '()))))

(define (load-profile)
  (let ((current (list-ref profiles (profiles-list current))))
    ((global 'load-profile) (car current))
    ((global 'visualize-profile)) ))

;;;;;;;;;;;;;;;
children-align center

(label (_ "Select a profile to load:"))

(document:id profiles-list (listbox layout-policy 80 -2
                                    rows (map cdr profiles)
                                    (when selected (load-button activity #t))))


(frame:buttons-view (button (_ "Quit") (when clicked (document:end)))
                    (document:id load-button
                                 (button (_ "Load") inactive (when clicked (load-profile)))))
